%define name            xine-browser-plugin
%define oname           xine-plugin        
%define version         1.0.1              
%define release         %mkrel 2           

Summary:        A xine mozilla plugin
Name:           %{name}              
Version:        %{version}           
Release:        %{release}           
Source0:        %{oname}-%{version}.tar.bz2
License:        GPL                        
Group:          Video                      
URL:            http://xinehq.de/index.php/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libxine-devel               
                     

%description
This is a xine plugin for mozilla

%prep
%setup -q -n %{oname}-%{version}

%build
XINE_CONFIG=/usr/bin/xine-config
./configure --prefix=%{_libdir}/mozilla
%make                                  

%install
rm -rf %{buildroot}
%{makeinstall_std} 
mkdir -p %buildroot%{_libdir}/mozilla/plugins
mv %{buildroot}$HOME/.mozilla/plugins/xine* %{buildroot}%{_libdir}/mozilla/plugins                                                                              
rm -rf %{buildroot}$HOME/.mozilla/plugins/xine*                                 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_libdir}/mozilla/plugins/xine-logo.ogg
%{_libdir}/mozilla/plugins/xineplugin.la
%{_libdir}/mozilla/plugins/xineplugin.so

%changelog
* Wed Feb 04 2009 tigger-gg <rpm@mandrivauser.de> 1.0.1-2mud2009.0
- rebuild for x86_64

* Wed Feb 04 2009 Oliver Burger <rpm@mandrivauser.de> 1.0.1-2mud2009.0
- cleaned up catastrophic spec file
- it's still a mess...

* Fri Apr 11 2008 Oliver Burger <rpm@mandrivauser.de> 1.0.1-1mud2008.1
- Build for 2008.1
- new version 1.0.1
- changed name to xine-browser-plugin to stop confusion with xine-plugins

* Fri Oct 19 2007 Oliver Burger <rpm@mandrivauser.de> 1.0-1mud2008.0
- Rebuild for 2008.0

* Thu May 10 2007 Oliver Burger <rpm@mandrivauser.de> 1.0-1mud2007.1
- First Build for 2007.1




